/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.qsoft.rs.sincoar.model;

import java.io.Serializable;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author developer2
 */
@Entity
@Table(name="COMACO.TARMDETALLEPREGUNTAS")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "Tarmdetallepreguntas.findAll", query = "SELECT t FROM Tarmdetallepreguntas t"),
    @NamedQuery(name = "Tarmdetallepreguntas.findByCrespuestacorrecta", query = "SELECT t FROM Tarmdetallepreguntas t WHERE t.crespuestacorrecta = :crespuestacorrecta"),
    @NamedQuery(name = "Tarmdetallepreguntas.findByCdetallepreguntas", query = "SELECT t FROM Tarmdetallepreguntas t WHERE t.cdetallepreguntas = :cdetallepreguntas")})
public class Tarmdetallepreguntas implements Serializable {

    private static final long serialVersionUID = 1L;
    @Column(name = "CRESPUESTACORRECTA")
    private Integer crespuestacorrecta;
    @Id
    @Basic(optional = false)
    @Column(name = "CDETALLEPREGUNTAS")
    private String cdetallepreguntas;
    @JoinColumn(name = "CEVALUACION", referencedColumnName = "CEVALUACION")
    @ManyToOne
    private Tarmevaluacion cevaluacion;
    @JoinColumn(name = "CPREGUNTA", referencedColumnName = "CPREGUNTA")
    @ManyToOne
    private Tarmpreguntas cpregunta;
    @JoinColumn(name = "CRESPUESTAINGRESADA", referencedColumnName = "CRESPUESTA")
    @ManyToOne
    private Tarmrespuestas crespuestaingresada;

    public Tarmdetallepreguntas() {
    }

    public Tarmdetallepreguntas(String cdetallepreguntas) {
        this.cdetallepreguntas = cdetallepreguntas;
    }

    public Integer getCrespuestacorrecta() {
        return crespuestacorrecta;
    }

    public void setCrespuestacorrecta(Integer crespuestacorrecta) {
        this.crespuestacorrecta = crespuestacorrecta;
    }

    public String getCdetallepreguntas() {
        return cdetallepreguntas;
    }

    public void setCdetallepreguntas(String cdetallepreguntas) {
        this.cdetallepreguntas = cdetallepreguntas;
    }

    public Tarmevaluacion getCevaluacion() {
        return cevaluacion;
    }

    public void setCevaluacion(Tarmevaluacion cevaluacion) {
        this.cevaluacion = cevaluacion;
    }

    public Tarmpreguntas getCpregunta() {
        return cpregunta;
    }

    public void setCpregunta(Tarmpreguntas cpregunta) {
        this.cpregunta = cpregunta;
    }

    public Tarmrespuestas getCrespuestaingresada() {
        return crespuestaingresada;
    }

    public void setCrespuestaingresada(Tarmrespuestas crespuestaingresada) {
        this.crespuestaingresada = crespuestaingresada;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (cdetallepreguntas != null ? cdetallepreguntas.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof Tarmdetallepreguntas)) {
            return false;
        }
        Tarmdetallepreguntas other = (Tarmdetallepreguntas) object;
        if ((this.cdetallepreguntas == null && other.cdetallepreguntas != null) || (this.cdetallepreguntas != null && !this.cdetallepreguntas.equals(other.cdetallepreguntas))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "com.qsoft.rs.sincoar.model.Tarmdetallepreguntas[ cdetallepreguntas=" + cdetallepreguntas + " ]";
    }
    
}
